Bug 35531 - New port: EFL; adding files to WebCore/graphics/efl (patch 1 of 4)
Summary: New port: EFL; adding files to WebCore/graphics/efl (patch 1 of 4)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Linux
: P2 Enhancement
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-01 09:01 PST by Leandro Pereira
Modified: 2010-03-04 08:51 PST (History)
11 users (show)

See Also:


Attachments
Add files to WebCore/platform/graphics/efl (patch 1/4) (21.44 KB, patch)
2010-03-01 12:56 PST, Leandro Pereira
no flags Details | Formatted Diff | Diff
Add EFL port files in WebCore/platform/graphics/efl (patch 1/2) (27.39 KB, patch)
2010-03-02 11:33 PST, Leandro Pereira
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Leandro Pereira 2010-03-01 09:01:34 PST
+++ This bug was initially created as a clone of Bug #35087 +++
Comment 1 Leandro Pereira 2010-03-01 12:56:00 PST
Created attachment 49741 [details]
Add files to WebCore/platform/graphics/efl (patch 1/4)
Comment 2 Kenneth Rohde Christiansen 2010-03-01 12:57:31 PST
Comment on attachment 49741 [details]
Add files to WebCore/platform/graphics/efl (patch 1/4)

Shouldn't that GStreamer code be shared across Gtk+/EFL ?
Comment 3 Leandro Pereira 2010-03-02 10:25:10 PST
(In reply to comment #2)
> (From update of attachment 49741 [details])
> Shouldn't that GStreamer code be shared across Gtk+/EFL ?

Yes, you're right. I'll remove the GStreamer code until we're able to use a shared implementation.
Comment 4 Leandro Pereira 2010-03-02 11:33:53 PST
Created attachment 49823 [details]
Add EFL port files in WebCore/platform/graphics/efl (patch 1/2)
Comment 5 Kenneth Rohde Christiansen 2010-03-02 11:58:58 PST
Comment on attachment 49823 [details]
Add EFL port files in WebCore/platform/graphics/efl (patch 1/2)

Better grouped :-) How does this code relate to the GTK+ code? Is it very different? similar? or is it even copied? Could the code be shared?

What do you think, Gustavo Noronha?
Comment 6 Leandro Pereira 2010-03-04 08:51:37 PST
This was fixed by bug #35539.